clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
USRFinder.cpp File Reference
`#include "USRFinder.h"`
`#include "clang/AST/AST.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/RecursiveASTVisitor.h"`
`#include "clang/Index/USRGeneration.h"`
`#include "clang/Lex/Lexer.h"`
`#include "llvm/ADT/SmallVector.h"`
Include dependency graph for USRFinder.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::rename

## Functions
const NamedDecl * | clang::rename::getNamedDeclAt (const ASTContext &Context, const SourceLocation Point)
std::string | clang::rename::getUSRForDecl (const Decl *Decl)

## Variable Documentation

const SourceLocation Point

Definition at line 123 of file USRFinder.cpp.

Referenced by clang::rename::NamedDeclFindingConsumer::HandleTranslationUnit().

const NamedDecl* Result

Definition at line 121 of file USRFinder.cpp.

Referenced by clang::tidy::OptionsView::get(), clang::tidy::modernize::getAllDirectBases(), clang::tidy::modernize::getAllNamedFields(), clang::rename::getNamedDeclAt(), clang::tidy::FileOptionsProvider::getOptions(), getSourceLocationString(), and clang::tidy::ClangTidyOptions::mergeWith().

const SourceManager& SourceMgr

Definition at line 122 of file USRFinder.cpp.

Referenced by clang::rename::getNamedDeclAt().